Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.extended
Class ElementValue

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.properties.extended.ElementValue

public class ElementValue
extends java.lang.Object

Helper class used by dialog cell editors in the Collection Editor. There is a deficiency in Eclipse Table Viewers - they only support one cell editor per column.

Constructor Summary
`ElementValue(java.lang.Object element, java.lang.Object value)` Constructor for ElementValue.

Method Summary
`java.lang.Object` `getElement()` Returns the element.
`java.lang.Object` `getValue()` Returns the element's value.
`void` `setValue(java.lang.Object value)` Sets the element's value
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementValue

    public ElementValue(java.lang.Object element,
                        java.lang.Object value)

  Constructor for ElementValue.

Parameters:
  `element` - the element
  `value` - the element's value

Method Detail

### toString

    public java.lang.String toString()

  See Also:
    `Object.toString()`

### getElement

    public java.lang.Object getElement()

  Returns the element.

  Returns:
    Object

### getValue

    public java.lang.Object getValue()

  Returns the element's value.

  Returns:
    Object

### setValue

    public void setValue(java.lang.Object value)

  Sets the element's value

  Parameters:
    `value` - the value

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.